{

	//破晕状态切换脚本_01

    "AbilityName" : "TestPlayer_Ability_Tianheng_54",

    "AbilityStacking": "Unique",



    "DefaultModifier":

    {

        "ModifierStacking":"Unique",

        "OnHitOther":

        [

            //进入破晕状态，填满晕值，并触发眩晕Buff

            {  

                "$type" : "MoleMole.ModifyStunStateAction",

                "TargetState" : "Break",

                "Target" : "Target",

            },

            {  

                "$type" : "MoleMole.ProcessStunCDAction",

                "ProcessType" : "Trigger",

                "Target" : "Target",

            },

            {

                "$type": "MoleMole.ModifyProperty",

                "PropertyType": "CurStun",

                "PropertyModifyFunction": "Add",

                "Percentage": 1.0,

                "Amount": 0,

                "Target" : "Target",

            },

            {

                "$type" : "MoleMole.ApplyModifier",

                "ModifierName" : "StunBuffModifier",

                "Target" : "Target",

            },

        ]

    },



    "Modifiers" : 

    {

        "StunBuffModifier":

        {

            "Duration" : -1,

            "Buff" : 

            {

                "BuffID" : 101002,   //StunBuff

                "IsOverrideDuration" : true,

                "OverrideAttackHitForwardType" : "Push"

            }

        }

    }

}